<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_InsuranceCheckAvailRequest StructType
 * @subpackage Structs
 */
class JP_InsuranceCheckAvailRequest extends AbstractStructBase
{
    /**
     * The Insurance
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_InsuranceOptionRequest
     */
    public $Insurance;
    /**
     * Constructor method for JP_InsuranceCheckAvailRequest
     * @uses JP_InsuranceCheckAvailRequest::setInsurance()
     * @param \StructType\JP_InsuranceOptionRequest $insurance
     */
    public function __construct(\StructType\JP_InsuranceOptionRequest $insurance = null)
    {
        $this
            ->setInsurance($insurance);
    }
    /**
     * Get Insurance value
     * @return \StructType\JP_InsuranceOptionRequest|null
     */
    public function getInsurance()
    {
        return $this->Insurance;
    }
    /**
     * Set Insurance value
     * @param \StructType\JP_InsuranceOptionRequest $insurance
     * @return \StructType\JP_InsuranceCheckAvailRequest
     */
    public function setInsurance(\StructType\JP_InsuranceOptionRequest $insurance = null)
    {
        $this->Insurance = $insurance;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_InsuranceCheckAvailRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
